How to configure Bamboo Java service wrapper on 64 bit Linux

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

問題

Bamboo was installed but it can't run with the Java service wrapper on a 64 bit JVM on Linux.

原因

We support 64-bit wrapper on Linux, but it is properly configured in the agent only.

BAM-10133 - Getting issue details... STATUS

回避策

Option A

Switch to a 32-bit JVM. If you need a 64-bit JDK to execute your build you can always run the Bamboo service with the 32-bit JVM and execute your plan with the 64-bit JVM. If this is not possible follow the workaround explained below.

Option B

Steps to fix it manually:

  • Find the libwrapper.so library and wrapper file in the agent installer jar: atlassian-bamboo-agent-installer-4.4.3.jar (you can download it from the agents admin page)
  • Go into jar file to arch/linux/x86_64 directory
  • Replace libwrapper.so and wrapper file in your Bamboo installation

ソリューション

Upgrade to version 5.1+.

 

 

 

最終更新日: 2016 年 9 月 5 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する
Powered by Confluence and Scroll Viewport.